漏洞信息详情

ZeroClipboard 跨站脚本漏洞

  • CNNVD编号:CNNVD-201402-096
  • 危害等级: 中危
  • CVE编号: CVE-2014-1869
  • 漏洞类型: 跨站脚本
  • 发布时间: 2014-02-11
  • 威胁类型: 远程
  • 更新时间: 2014-02-11
  • 厂        商: zeroclipboard_project
  • 漏洞来源:

漏洞简介

ZeroClipboard是一个支持将内容复制到用户剪贴板上的库,它的原理是利用透明的flash让其漂浮在复制按钮之上,并将需要复制的内容传入flash,再通过flash的复制功能把传入的内容复制到剪切板。

ZeroClipboard 1.3.1及之前的版本中的ZeroClipboard.swf文件中存在跨站脚本漏洞。远程攻击者可借助特制的参数利用该漏洞注入任意Web脚本或HTML。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://github.com/zeroclipboard/zeroclipboard/releases/tag/v1.3.2

参考网址

来源: github.com

链接:https://github.com/zeroclipboard/zeroclipboard/releases/tag/v1.3.2

来源: github.com

链接:https://github.com/zeroclipboard/zeroclipboard/pull/335

来源: github.com

链接:https://github.com/zeroclipboard/zeroclipboard/commit/2f9eb9750a433965572d047e24b0fc78fd1415ca

漏洞信息快速查询

相关漏洞

更多